import type { PeerBalance, BalanceResponse, Ky } from '../../types';
/**
 * Get the balances with all known peers including prepaid services
 *
 * @param ky Ky debug instance
 */
export declare function getAllBalances(ky: Ky): Promise<BalanceResponse>;
/**
 * Get the balances with a specific peer including prepaid services
 *
 * @param ky Ky debug instance
 * @param address Swarm address of peer
 */
export declare function getPeerBalance(ky: Ky, address: string): Promise<PeerBalance>;
/**
 * Get the past due consumption balances with all known peers
 *
 * @param ky Ky debug instance
 */
export declare function getPastDueConsumptionBalances(ky: Ky): Promise<BalanceResponse>;
/**
 * Get the past due consumption balance with a specific peer
 *
 * @param ky Ky debug instance
 * @param address Swarm address of peer
 */
export declare function getPastDueConsumptionPeerBalance(ky: Ky, address: string): Promise<PeerBalance>;
