import type { BeeGenericResponse, Ky } from '../../types';
/**
 * Check if chunk at address exists locally
 *
 * @param ky Ky debug instance
 * @param address  Swarm address of chunk
 *
 * @returns BeeGenericResponse if chunk is found or throws an exception
 */
export declare function checkIfChunkExistsLocally(ky: Ky, address: string): Promise<BeeGenericResponse>;
/**
 * Delete a chunk from local storage
 *
 * @param ky Ky debug instance
 * @param address  Swarm address of chunk
 *
 * @returns BeeGenericResponse if chunk was deleted or throws an exception
 */
export declare function deleteChunkFromLocalStorage(ky: Ky, address: string): Promise<BeeGenericResponse>;
