import { Ky, NumberString, TransactionHash, TransactionInfo } from '../../types';
/**
 * Get list of all pending transactions
 *
 * @param ky   Debug Ky instance
 */
export declare function getAllTransactions(ky: Ky): Promise<TransactionInfo[]>;
/**
 * Get information for specific pending transactions
 *
 * @param ky   Debug Ky instance
 * @param transactionHash Hash of the transaction
 */
export declare function getTransaction(ky: Ky, transactionHash: TransactionHash): Promise<TransactionInfo>;
/**
 * Rebroadcast existing transaction
 *
 * @param ky   Debug Ky instance
 * @param transactionHash Hash of the transaction
 */
export declare function rebroadcastTransaction(ky: Ky, transactionHash: TransactionHash): Promise<TransactionHash>;
/**
 * Cancel existing transaction
 *
 * @param ky   Debug Ky instance
 * @param transactionHash Hash of the transaction
 * @param gasPrice Optional gas price
 */
export declare function cancelTransaction(ky: Ky, transactionHash: TransactionHash, gasPrice?: NumberString): Promise<TransactionHash>;
