import type { Ky, Pin, Reference } from '../types';
export interface GetAllPinResponse {
    references: Reference[] | null;
}
/**
 * Pin data with given reference
 *
 * @param ky Ky instance for given Bee class instance
 * @param reference Bee data reference
 */
export declare function pin(ky: Ky, reference: Reference): Promise<void>;
/**
 * Unpin data with given reference
 *
 * @param ky Ky instance for given Bee class instance
 * @param reference Bee data reference
 */
export declare function unpin(ky: Ky, reference: Reference): Promise<void>;
/**
 * Get pin status for specific address.
 *
 * @param ky Ky instance
 * @param reference
 * @throws Error if given address is not pinned
 */
export declare function getPin(ky: Ky, reference: Reference): Promise<Pin>;
/**
 * Get list of all pins
 *
 * @param ky Ky instance
 */
export declare function getAllPins(ky: Ky): Promise<Reference[]>;
