import { Ky, Reference, Tag } from '../types';
/**
 * Create new tag on the Bee node
 *
 * @param url Bee tag URL
 */
export declare function createTag(ky: Ky): Promise<Tag>;
/**
 * Retrieve tag information from Bee node
 *
 * @param url Bee tag URL
 * @param uid UID of tag to be retrieved
 */
export declare function retrieveTag(ky: Ky, uid: number): Promise<Tag>;
/**
 * Get limited listing of all tags.
 *
 * @param url
 * @param offset
 * @param limit
 */
export declare function getAllTags(ky: Ky, offset?: number, limit?: number): Promise<Tag[]>;
/**
 * Removes tag from the Bee node.
 * @param url
 * @param uid
 */
export declare function deleteTag(ky: Ky, uid: number): Promise<void>;
/**
 * Updates tag
 * @param url
 * @param uid
 * @param reference
 */
export declare function updateTag(ky: Ky, uid: number, reference: Reference): Promise<void>;
