import type { Data } from 'ws';
import BlobPolyfill from 'fetch-blob';
import { Readable } from '../types';
/**
 * Prepare data for valid input for node-fetch.
 *
 * node-fetch is not using WHATWG ReadableStream but NodeJS Readable so we need to convert in case of ReadableStream,
 * but the typings are set to use ReadableStream so hence why type conversion here.
 *
 * @param data any string, ArrayBuffer, Uint8Array or Readable
 */
export declare function prepareData(data: string | ArrayBuffer | Uint8Array | Readable): Promise<Blob | ReadableStream<Uint8Array> | never>;
export declare function prepareWebsocketData(data: Data | BlobPolyfill): Promise<Uint8Array> | never;
