/**
 * Compatibility functions for working with File API objects
 *
 * https://developer.mozilla.org/en-US/docs/Web/API/File
 */
export declare function isFile(file: unknown): file is File;
/**
 * Compatibility helper for browsers where the `arrayBuffer function is
 * missing from `File` objects.
 *
 * @param file A File object
 */
export declare function fileArrayBuffer(file: File): Promise<ArrayBuffer>;
